Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 20-10-2016 14:58:24

zorzi
Membre
Distrib. : Debian Jessie + Backports
Noyau : Linux 3.16.0-4-amd64
Inscription : 30-09-2015

Re : pluzz plugin

Une alternative à peine plus tordue que la 23 bêta NPAPI est la 23 stable PPAPI chargée depuis le site officiel :



Hello et merci.

Mais j'avais essayé la 23 stable en la plaçant directement dans usr/lib/mozilla/plugins, et cela ne donnait rien. Obligé de garder la 23 bêta.

Je ne comprends pas bien la différence entre le adobe flash plugin et le pepperflashplugin. Pourquoi placer la 23 stable récupérée chez Adobe dans un répertoire pepperflashplugin-nonfree ?

Merci pour d'éventuels éclaircissements.

Dernière modification par zorzi (20-10-2016 14:58:45)


Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon X1650 Pro, Ram 4 Go, DD 500 Go) / Debian Jessie (Gnome)
Laptop: Packard-Bell EasyNote G1320 (Celeron 1,3 Ghz, ATI Mobility Radeon 9100 IGP, Ram 1,2 Go, DD 40 Go) / Debian Jessie (Mate)

Hors ligne

#27 20-10-2016 15:13:02

otyugh
Membre
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016

Re : pluzz plugin

Alternativement, vous pouvez faire "youtube-dl -g <adresse>", obtenir l'URL de la video, et l'ouvrir en streaming dans VLC ou mplayer.

Dernière modification par otyugh (20-10-2016 15:13:19)

Hors ligne

#28 20-10-2016 16:38:42

èfpé
Membre
Distrib. : Debian
Noyau : Linux
Inscription : 10-07-2016

Re : pluzz plugin

Re- zatousse,

zorzi a écrit :

j'avais essayé la 23 stable en la plaçant directement dans usr/lib/mozilla/plugins, et cela ne donnait rien.


C'est normal, Mozilla Firefox supporte nativement l'API Netscape Plugin (NPAPI) mais pas l'API Pepper Plugin (PPAPI). C'est d'ailleurs la raison d'être du paquet browser-plugin-freshplayer-pepperflash. Mais ça pourrait changer dans les mois à venir : Mozilla abandonnerait l'API historique d'ici la fin de l'année... au moment où Adobe reprend le développement de la version NPAPI.

zorzi a écrit :

Pourquoi placer la 23 stable récupérée chez Adobe dans un répertoire pepperflashplugin-nonfree ?


Parce que c'est là que la bibliothèque libfreshwrapper-flashplayer.so (fournie par le paquet sus-cité) s'attend à trouver la fameuse bibliothèque libpepflashplayer.so.

Note qu'il s'agit d'une manip visant à contourner le fait que le script fourni par le paquet pepperflashplugin-nonfree ne parvient plus à extraire libpepflashplayer.so de Google Chrome. Le truc ballot est que le paquet pepperflashplugin-nonfree est une dépendance de browser-plugin-freshplayer-pepperflash ; du coup il faut se palucher le téléchargement de Google Chrome pour rien.

Dernière modification par èfpé (03-11-2016 21:38:42)

Hors ligne

#29 20-10-2016 17:51:05

zorzi
Membre
Distrib. : Debian Jessie + Backports
Noyau : Linux 3.16.0-4-amd64
Inscription : 30-09-2015

Re : pluzz plugin

Ok, merci pour les explications.

Mais alors, avec la manip du post #25, je peux virer adobe flash, remettre pepperflash (avec en plus browser-plugin-freshplayer-pepperflash pour Firefox) ?

Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon X1650 Pro, Ram 4 Go, DD 500 Go) / Debian Jessie (Gnome)
Laptop: Packard-Bell EasyNote G1320 (Celeron 1,3 Ghz, ATI Mobility Radeon 9100 IGP, Ram 1,2 Go, DD 40 Go) / Debian Jessie (Mate)

Hors ligne

#30 20-10-2016 18:28:32

èfpé
Membre
Distrib. : Debian
Noyau : Linux
Inscription : 10-07-2016

Re : pluzz plugin

Re-,

Oui, mais en fait tu peux très bien conserver le plugin NPAPI et réinstaller le paquet browser-plugin-freshplayer-pepperflash (pepperflashplugin-nonfree sera 'installé' automatiquement, c'est-à-dire que le répertoire /usr/lib/pepperflashplugin-nonfree sera (re)créé et Google Chrome téléchargé pour rien) ; la priorité sera donnée au plugin PPAPI :

update-alternatives --config flash-mozilla.so


Il existe 2 choix pour l'alternative flash-mozilla.so (qui fournit /usr/lib/mozilla/plugins/flash-mozilla.so).

  Sélection   Chemin                                                                          Priorité  État
------------------------------------------------------------
* 0            /usr/lib/browser-plugin-freshplayer-pepperflash/libfreshwrapper-flashplayer.so   70        mode automatique
  1            /usr/lib/browser-plugin-freshplayer-pepperflash/libfreshwrapper-flashplayer.so   70        mode manuel
  2            /usr/lib/flashplugin-nonfree/libflashplayer.so                                   50        mode manuel

Appuyez sur <Entrée> pour conserver la valeur par défaut[*] ou choisissez le numéro sélectionné :


Mais bon, la version bêta semble régulièrement mise à jour, donc si elle te convient...

Dernière modification par èfpé (21-10-2016 00:10:42)

Hors ligne

#31 20-10-2016 19:34:30

chalu
Adhérent(e)
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE xfwm4
Inscription : 11-03-2016

Re : pluzz plugin

La commande 'apt-get update' n'a pas lieu d'être car 'update-pepperflashplugin-nonfree' est un script, pas un paquet.


Je sais mais ma première utilisation n'a rien donné alors que je savais qu'il y avait une mise à jour
Tenter une deuxième sans faire update aurait sans doute fait la même chose mais c'est ce que j'ai fait.


Bien débuter sur Debian :
->Les cahiers du débutant
->Le projet DFlinux (DebianFacileLinux) deux images ISOs (i386 et amd64) basées sur Debian stable et agrémentées d'outils facilitants pour les débutants

Hors ligne

#32 20-10-2016 20:16:04

enicar
Membre
Lieu : Grenoble
Distrib. : debian/sid
Noyau : Linux 4.8.10
(G)UI : openbox
Inscription : 26-08-2010

Re : pluzz plugin

Personnellement, j'ai trouvé une solution en utilisant firefox, youtube-dl  et chromium.
Quand c'est possible je regarde avec firefox, sans plugin flash du tout.
Quand ce n'est pas possible je télécharge avec youtube-dl. 
Et enfin, en dernier recours j'utilise chromium avec le pepperflashplugin-nonfree.

Je n'utilise vraiment pas souvent chromium, mais certains sites insistent pour utiliser flash,
malheureusement sad

La machine, c'est dépassé ! On va tout remplacer par des humains big_smile

Hors ligne

#33 21-10-2016 00:56:46

zorzi
Membre
Distrib. : Debian Jessie + Backports
Noyau : Linux 3.16.0-4-amd64
Inscription : 30-09-2015

Re : pluzz plugin

Re, je galère un peu. J'ai suivi la manip du post #25, puis j'ai installé browser-plugin-freshplayer-pepperflash et je me heurte à ça avec Firefox:

1477004050.png

Ai-je manqué quelque chose ?

Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon X1650 Pro, Ram 4 Go, DD 500 Go) / Debian Jessie (Gnome)
Laptop: Packard-Bell EasyNote G1320 (Celeron 1,3 Ghz, ATI Mobility Radeon 9100 IGP, Ram 1,2 Go, DD 40 Go) / Debian Jessie (Mate)

Hors ligne

#34 21-10-2016 01:06:42

èfpé
Membre
Distrib. : Debian
Noyau : Linux
Inscription : 10-07-2016

Re : pluzz plugin

Re-,

C'est juste que tu as fait les choses dans le désordre... j'ai l'impression que tu as exécuté la dernière commande du post #25 sans créer le répertoire de destination... du coup, la bibliothèque libpepflashplayer.so a été copiée dans /usr/lib sous le nom 'pepperflashplugin-nonfree'... ensuite la pseudo-installation du paquet pepperflashplugin-nonfree l'a supprimée pour créer le répertoire homonyme, mais sans y mettre la fameuse bibliothèque... refais la manip et vérifie avec :

ls /usr/lib/pepperflashplugin-nonfree


libpepflashplayer.so  pubkey-google.txt


Note : manip testée et bug reproduit sur DFLinux-beta1 (full-amd64)

Dernière modification par èfpé (21-10-2016 12:28:32)

Hors ligne

#35 21-10-2016 09:25:15

zorzi
Membre
Distrib. : Debian Jessie + Backports
Noyau : Linux 3.16.0-4-amd64
Inscription : 30-09-2015

Re : pluzz plugin

Hello,

C'est à dire que je dois créer un répertoire de mon choix dans usr/lib pour y mettre libpepflashplayer ?

cp libpepflashplayer.so /usr/lib/mondossier/pepperflashplugin-nonfree



?

EDIT: pardon, je voulais dire:

cp libpepflashplayer.so /usr/lib/mondossier

Dernière modification par zorzi (21-10-2016 09:50:33)


Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon X1650 Pro, Ram 4 Go, DD 500 Go) / Debian Jessie (Gnome)
Laptop: Packard-Bell EasyNote G1320 (Celeron 1,3 Ghz, ATI Mobility Radeon 9100 IGP, Ram 1,2 Go, DD 40 Go) / Debian Jessie (Mate)

Hors ligne

#36 21-10-2016 12:12:32

èfpé
Membre
Distrib. : Debian
Noyau : Linux
Inscription : 10-07-2016

Re : pluzz plugin

Hello,

Non. Si tu commences par la manip du post #25, il faut créer un dossier avant de copier la bibliothèque... celui-ci doit être un de ceux où Freshwrapper ira chercher la bibliothèque libpepflashplayer.so (ce sont les paths tried de ta capture d'écran), et notamment celui créé par l'installation du paquet pepperflashplugin-nonfree :

mkdir /usr/lib/pepperflashplugin-nonfree


C'est pour cela qu'il me semble plus naturel de commencer par installer le paquet browser-plugin-freshplayer-pepperflash (et sa dépendance pepperflashplugin-nonfree) ; s'il sont déjà/toujours installés, cette commande devrait te suffire à rattraper le coup :

cp libpepflashplayer.so /usr/lib/pepperflashplugin-nonfree


Note : si le répertoire de travail n'a pas été conservé il faut refaire la manip entièrement.

Dernière modification par èfpé (22-10-2016 12:24:42)

Hors ligne

#37 21-10-2016 13:48:01

zorzi
Membre
Distrib. : Debian Jessie + Backports
Noyau : Linux 3.16.0-4-amd64
Inscription : 30-09-2015

Re : pluzz plugin

Re,

Bon j'avais tout enlevé entre temps (browser-plugin-freshplayer-pepperflash et pepperflashplugin).

Je vais tout reprendre au début.

Pour être sûr d'avoir compris, je dois choisir et créer un répertoire parmi ceux que m'affiche la capture d'écran ?

Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon X1650 Pro, Ram 4 Go, DD 500 Go) / Debian Jessie (Gnome)
Laptop: Packard-Bell EasyNote G1320 (Celeron 1,3 Ghz, ATI Mobility Radeon 9100 IGP, Ram 1,2 Go, DD 40 Go) / Debian Jessie (Mate)

Hors ligne

#38 21-10-2016 13:58:42

èfpé
Membre
Distrib. : Debian
Noyau : Linux
Inscription : 10-07-2016

Re : pluzz plugin

Re-,

Oui et non : il est de loin beaucoup plus simple de (1) installer le paquet browser-plugin-freshplayer-pepperflash (le reste suivra) puis (2) passer à la manip proposée au post #25 smile

Hors ligne

#39 21-10-2016 16:55:36

zorzi
Membre
Distrib. : Debian Jessie + Backports
Noyau : Linux 3.16.0-4-amd64
Inscription : 30-09-2015

Re : pluzz plugin

Euréka, ça y est !!!

Bon, j'ai mis du temps à comprendre mais tout fonctionne. Non pas que je sois particulièrement attaché au pepperflashplugin, mais c'est le seul (par rapport au adobe flash de base) qui me permettait l'accès à certains sites dans de bonnes conditions avec Firefox.

Je pense que cette manip pourra en aider plus d'un et ça vaudrait le coup de l'inscrire dans les tutoriels DF (car on pas mal dévié du sujet initial... wink )

Merci pour ta disponibilité et ta patience.

Dernière modification par zorzi (21-10-2016 16:56:46)


Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon X1650 Pro, Ram 4 Go, DD 500 Go) / Debian Jessie (Gnome)
Laptop: Packard-Bell EasyNote G1320 (Celeron 1,3 Ghz, ATI Mobility Radeon 9100 IGP, Ram 1,2 Go, DD 40 Go) / Debian Jessie (Mate)

Hors ligne

#40 21-10-2016 18:09:51

nounours
Adhérent(e)
Lieu : hourtin 33
Distrib. : Jessie bureaux : mate et Handylinux basé sur Jessi
Noyau : linux 3.2.0-4-686-pae
(G)UI : mate
Inscription : 11-02-2012

Re : pluzz plugin

Bonjour.

Si quelqu'un pouvait faire un tuto ou au moins résumé la manip à faire ici, j'avoue avoir perdu le fil.

Est-ce que la manip permet d'utiliser Chromium en contournant le bug (post #15) ?.
Ne vaut-il pas mieux attendre que le bug soit réparé ?.

N'achetez pas Windaube !. Volez-le !. Au moins vous en aurez pour votre argent.

Hors ligne

#41 21-10-2016 18:28:35

enicar
Membre
Lieu : Grenoble
Distrib. : debian/sid
Noyau : Linux 4.8.10
(G)UI : openbox
Inscription : 26-08-2010

Re : pluzz plugin

Je n'ai pas essayé (je suis en sid et ça marche juste en installant pepperflashplugin-nonfree avec chromium) mais en reprenant les instructions de èfpé du post #25, ça devrait fonctionner.

La machine, c'est dépassé ! On va tout remplacer par des humains big_smile

Hors ligne

#42 21-10-2016 19:28:26

zorzi
Membre
Distrib. : Debian Jessie + Backports
Noyau : Linux 3.16.0-4-amd64
Inscription : 30-09-2015

Re : pluzz plugin

Si j'ai bien tout suivi, pour Chromium (qui n'a en principe pas besoin de browser-plugin-freshplayer-pepperflash), ça devrait donner ça:

mkdir /usr/lib/pepperflashplugin-nonfree



wget https://fpdownload.adobe.com/pub/flashplayer/pdc/23.0.0.185/flash_player_ppapi_linux.x86_64.tar.gz



tar -zxf flash_player_ppapi_linux.x86_64.tar.gz



cp libpepflashplayer.so /usr/lib/pepperflashplugin-nonfree



Redémarrer Chromium

Dernière modification par zorzi (21-10-2016 19:30:24)


Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon X1650 Pro, Ram 4 Go, DD 500 Go) / Debian Jessie (Gnome)
Laptop: Packard-Bell EasyNote G1320 (Celeron 1,3 Ghz, ATI Mobility Radeon 9100 IGP, Ram 1,2 Go, DD 40 Go) / Debian Jessie (Mate)

Hors ligne

#43 22-10-2016 08:39:40

nounours
Adhérent(e)
Lieu : hourtin 33
Distrib. : Jessie bureaux : mate et Handylinux basé sur Jessi
Noyau : linux 3.2.0-4-686-pae
(G)UI : mate
Inscription : 11-02-2012

Re : pluzz plugin

@zorzi
Bonjour à tous.

Ça Marche !!!!.

1 Sur une vielle machine sous  Handylinux dernière version amd64 > mise à jour > installation de Chromium avec le paquet : pepperflashplugin-nonfree.
2 essai, ouverture de pluzz, cash investigation > plantage comme prévu (''impossible de charger le plugin'').
3 essai avec mise en application des lignes de commandes

3.1 application de la formule :

mkdir /usr/lib/pepperflashplugin-nonfree


résulta : le fichier existe déjà



3.2 Application des 3 autres ligne de commande et redémarrage. Tout marche.

Question 1 : le paquet flash_player_ppapi_linux.x86_64.tar.gz subsiste dans le gestionnaire de fichier Tunar. Si quelqu'un pouvait me confirmer que ce paquet ne sert plus à rien et peut être supprimé.
Question 2 : Est ce qu'on peut ce passer de la première commande (création du répertoire pepperflashplugin-nonfree) ?.
Je vais essayer de faire un tutoriel dans les pages utilisateurs que je soumettrai aux ''barbu(e)s'.

'Merci pour vos réponses.


N'achetez pas Windaube !. Volez-le !. Au moins vous en aurez pour votre argent.

Hors ligne

#44 22-10-2016 08:50:01

zorzi
Membre
Distrib. : Debian Jessie + Backports
Noyau : Linux 3.16.0-4-amd64
Inscription : 30-09-2015

Re : pluzz plugin

Salut,

On peut supprimer l'archive flash_player_ppapi_linux.x86_64.tar.gz une fois décompressée et installée (sauf si on veut la garder en cas de besoin).

Le répertoire /usr/lib/pepperflashplugin-nonfree était déjà pré-existant chez moi aussi, crée par la précédente tentative d'installation de pepperflashplugin-non free (même si elle est foireuse en ce moment puisque Gogole Chrome n'extraie plus le plugin= en gros le dossier est crée mais il faut se farcir l'installation du plugin à la main).

Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon X1650 Pro, Ram 4 Go, DD 500 Go) / Debian Jessie (Gnome)
Laptop: Packard-Bell EasyNote G1320 (Celeron 1,3 Ghz, ATI Mobility Radeon 9100 IGP, Ram 1,2 Go, DD 40 Go) / Debian Jessie (Mate)

Hors ligne

#45 22-10-2016 14:06:46

zorzi
Membre
Distrib. : Debian Jessie + Backports
Noyau : Linux 3.16.0-4-amd64
Inscription : 30-09-2015

Re : pluzz plugin

En revanche, et même en suivant la manip à la lettre, je n'arrive pas à faire fonctionner pepperflash sur ma Debian Jessie Mate (i386).

Le plugin n'est pas compatible 32bit ?

Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon X1650 Pro, Ram 4 Go, DD 500 Go) / Debian Jessie (Gnome)
Laptop: Packard-Bell EasyNote G1320 (Celeron 1,3 Ghz, ATI Mobility Radeon 9100 IGP, Ram 1,2 Go, DD 40 Go) / Debian Jessie (Mate)

Hors ligne

#46 22-10-2016 14:52:50

èfpé
Membre
Distrib. : Debian
Noyau : Linux
Inscription : 10-07-2016

Re : pluzz plugin

Hello,

Ben il ne faut pas suivre la manip à la lettre justement : pour cette architecture le fichier à télécharger est nommé flash_player_ppapi_linux.i386.tar.gz wink

Hors ligne

#47 22-10-2016 15:29:32

chalu
Adhérent(e)
Lieu : Anjou
Distrib. : Debian Jessie (saveur Handylinux 2.5) à jour
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE xfwm4
Inscription : 11-03-2016

Re : pluzz plugin

Super smile ça résout le bug actuel de pepperflashplugin avec chromium

Bien débuter sur Debian :
->Les cahiers du débutant
->Le projet DFlinux (DebianFacileLinux) deux images ISOs (i386 et amd64) basées sur Debian stable et agrémentées d'outils facilitants pour les débutants

Hors ligne

#48 22-10-2016 18:40:46

nounours
Adhérent(e)
Lieu : hourtin 33
Distrib. : Jessie bureaux : mate et Handylinux basé sur Jessi
Noyau : linux 3.2.0-4-686-pae
(G)UI : mate
Inscription : 11-02-2012

Re : pluzz plugin

Comme promis mon tuto.

En espérant qu'il n'y a pas trop de bêtises.

https://debian-facile.org/utilisateurs: … g-22-10-16

N'achetez pas Windaube !. Volez-le !. Au moins vous en aurez pour votre argent.

Hors ligne

#49 22-10-2016 19:59:07

zorzi
Membre
Distrib. : Debian Jessie + Backports
Noyau : Linux 3.16.0-4-amd64
Inscription : 30-09-2015

Re : pluzz plugin

Ben il ne faut pas suivre la manip à la lettre justement : pour cette architecture le fichier à télécharger est nommé flash_player_ppapi_linux.i386.tar.gz wink



C'est bizarre. Il fonctionne avec Firefox mais pas Chromium...


@nounours: Bonne initiative pour le tuto.


Desktop: HP Pavilion a6435 (Athlon64 2x 2,6Ghz, Radeon X1650 Pro, Ram 4 Go, DD 500 Go) / Debian Jessie (Gnome)
Laptop: Packard-Bell EasyNote G1320 (Celeron 1,3 Ghz, ATI Mobility Radeon 9100 IGP, Ram 1,2 Go, DD 40 Go) / Debian Jessie (Mate)

Hors ligne

#50 22-10-2016 20:46:32

èfpé
Membre
Distrib. : Debian
Noyau : Linux
Inscription : 10-07-2016

Re : pluzz plugin

Bonsoir à toutes et à tous,

Alors si j'ai bien compris, le paquet pepperflashplugin-nonfree n'est pas aussi bogué qu'il en a l'air... il est juste obsolète, puisque le plugin PPAPI n'est plus distribué via Google Chrome. Et comme ledit paquet n'est pas non plus une dépendance du paquet browser-plugin-freshplayer-pepperflash, ben on peut très bien s'en passer (finalement, il ne fait plus que créer un répertoire, un fichier de configuration pour Chromium, et last but not least, télécharger Google Chrome inutilement -- ça fait du mal à la banquise et puis surtout c'est ballot).

Avertissement : la manip proposée considère que ce paquet a été purgé, ou qu'il n'a jamais été installé.

1. Installation du plugin Adobe Flash Player (PPAPI)

Comme le fait par ailleurs le paquet flashplugin-nonfree, il faut désormais télécharger le plugin depuis le site officiel d'Adobe.

# on télécharge le fichier vers un dossier de travail créé automatiquement et nommé PepperFlash
wget -P ~/Téléchargements/PepperFlash https://fpdownload.adobe.com/pub/flashplayer/pdc/<version>/flash_player_ppapi_linux.x86_64.tar.gz

Note : remplacer <version> par la version courante (ex : 23.0.0.185) et 'x86_64' par 'i386' si 32-bit.

# on change de répertoire de travail
cd ~/Téléchargements/PepperFlash


# on y extrait l'archive téléchargée
tar -zxvf flash_player_ppapi_linux.x86_64.tar.gz

Note : remplacer 'x86_64' par 'i386' si 32-bit.

libpepflashplayer.so
manifest.json
README
LGPL/
LGPL/LGPL.txt
LGPL/notice.txt


# on crée le dossier de destination
mkdir /usr/lib/pepperflashplugin-nonfree


# on y copie le plugin et les métadonnées
cp -vt /usr/lib/pepperflashplugin-nonfree libpepflashplayer.so manifest.json


« libpepflashplayer.so » -> « /usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so »
« manifest.json » -> « /usr/lib/pepperflashplugin-nonfree/manifest.json »


# facultatif, on vérifie la copie
ls -l /usr/lib/pepperflashplugin-nonfree


total 18356
-rw-r--r-- 1 root root 18789664 oct.  29 11:39 libpepflashplayer.so
-rw-r--r-- 1 root root     2223 oct.  29 11:39 manifest.json


# facultatif, on quitte le répertoire de travail et on le supprime
cd .. && rm -r PepperFlash


2. Particularité pour Chromium

Il y a deux possibilités : soit (1) créer manuellement le petit fichier de configuration jadis créé automatiquement, soit (2) modifier le lanceur de Chromium en spécifiant le chemin du plugin :

# on crée et édite par copier-coller le fichier de configuration
nano /etc/chromium.d/pepperflashplugin-nonfree


flashso="/usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so"
flashversion=`strings $flashso 2> /dev/null | grep LNX | cut -d ' ' -f 2 | sed -e "s/,/./g"`
CHROMIUM_FLAGS="$CHROMIUM_FLAGS --ppapi-flash-path=$flashso --ppapi-flash-version=$flashversion"


# facultatif, on vérifie l'édition
cat /etc/chromium.d/pepperflashplugin-nonfree

ou

chromium --ppapi-flash-path=/usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so --ppapi-flash-version=<version>

Note : remplacer <version> par la version installée (ex : 23.0.0.185) ; en pratique, cet argument est facultatif, mais évite l'affichage d'un numéro de version fantaisiste dans chrome://plugins.

3. Particularités pour Firefox

Il faut installer le paquet rétroporté browser-plugin-freshplayer-pepperflash (dépôt jessie-backports) ; il fournit la bibliothèque libfreshwrapper-flashplayer.so (PPAPI → NPAPI).

# cool no besoin d'installer le paquet recommandé pepperflashplugin-nonfree
apt-get update && apt-get --no-install-recommends --target-release jessie-backports install browser-plugin-freshplayer-pepperflash


[...]
update-alternatives: utilisation de « /usr/lib/browser-plugin-freshplayer-pepperflash/libfreshwrapper-flashplayer.so » pour fournir « /usr/lib/mozilla/plugins/flash-mozilla.so » (flash-mozilla.so) en mode automatique

Il n'est donc pas indispensable de désinstaller au préalable le paquet flashplugin-nonfree, qui quant à lui installe actuellement la version 11.2 du plugin Adobe Flash Player (NPAPI).

Note : ne pas trop s'inquiéter du numéro de version (13.1.2.3) et/ou de la date (26/05/2016) qui apparaît dans about:plugins ; cela implique les fichiers libfreshwrapper-flashplayer.so et pluginreg.dat.

# on supprime ce fichier qui sera recréé au prochain lancement
rm ~/.mozilla/firefox/*/pluginreg.dat


Plates-formes de test : DFLinux-beta2 (i386) et HandyLinux-2.5 (amd64) ; Firefox 45/49 et Chromium 53.

Dernière modification par èfpé (11-11-2016 20:46:32)

Hors ligne

Pied de page des forums